﻿var categories = {
"mastercategories":[
{
    "index": 0,
"description": "OBA Retail Account Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\OBA Retail Account Service API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
    "name": "Overview"
},
{
    "index": 1,
	"description": "",
    "name": "Configurations"
},
{
    "index": 2,
	"description": "",
    "name": "Account Services"
},
{
    "index": 3,
	"description": "",
    "name": "ChequeBook Services"
},
{
    "index": 4,
	"description": "",
    "name": "Transaction Services"
},
{
    "index": 5,
	"description": "",
    "name": "Enquiries"
},
{
    "index": 6,
	"description": "",
    "name": "Statement"
}
]
};
var subCategories = {
	"list":[
	{
		"index": 1,
		"yaml": "OBRACC/obracc-pp-businessproduct-services/api/accountclassAggregate.yaml",
		"description": "This service is used to get the details of Business Product",
		"parentcategory": "Configurations",
		"displayName": "Business Product Service"
	},
	{
		"index": 2,
		"yaml": "OBRACC/obracc-pp-account-services/api/accountservicesServiceApiAggregate.yaml",
		"description": "This service is used to create and update retail accounts",
		"parentcategory": "Account Services",
		"displayName": "Account Service API"
	},	
	{
		"index": 3,
		"yaml": "OBRACC/obcdda-pp-transaction-balance-service/api/TransactionBalanceService.yaml",
		"description": "Transaction Balance Service is a comprehensive REST Service with multiple end points to  facilitate Posting/Querying of Transactions ; Query Balances and Post/Query Amount blocks on an account",
		"parentcategory": "Transaction Services",
		"displayName": "Transaction Balance Service"
	},
	{
		"index": 4,
		"yaml": "OBRACC/obracc-pp-integration-services/api/retailService.yaml",
		"description": "This service is used for integration with other products",
		"parentcategory": "Enquiries",
		"displayName": "Integration Service"
	},
	{
		"index": 5,
		"yaml": "OBRACC/obrdda-txn-pp-account-services/api/GarnishmentOrder.yaml",
		"description": "This service is used for garnishment order",
		"parentcategory": "Transaction Services",
		"displayName": "Garnishment order"
	},
	{
		"index": 6,
		"yaml": "OBRACC/obrdda-pp-maintenance-services/api/garnishmentparamsServiceApiAggregate.yaml",
		"description": "This service is used for garnishment parameters",
		"parentcategory": "Configurations",
		"displayName": "Garnishment Parameters"
	},
	{
		"index": 8,
		"yaml": "OBRACC/obrdda-pp-maintenance-services/api/jointholdertypeServiceApiAggregate.yaml",
		"description": "This service is used for joint holder maintenance",
		"parentcategory": "Configurations",
		"displayName": "Joint Holder Maintenance"
	},
	{
		"index": 9,
		"yaml": "OBRACC/obrdda-pp-maintenance-services/api/relationshiptypecodeServiceApiAggregate.yaml",
		"description": "This service is used for relationship maintenance",
		"parentcategory": "Configurations",
		"displayName": "Relationship Maintenance"
	},
	{
		"index": 12,
		"yaml": "OBRACC/dda-statement-services/api/AccountPreferencesService.yaml",
		"description": "This service is used to get statement preferences",
		"parentcategory": "Statement",
		"displayName": "Statement Preferences"
	},
	{
		"index": 13,
		"yaml": "OBRACC/dda-statement-services/api/AccountStatementService.yaml",
		"description": "This service is used to generate and download statements",
		"parentcategory": "Statement",
		"displayName": "Statement Generation"
	},
	{
		"index": 14,
		"yaml": "OBRACC/obracc-txn-pp-transaction-services/api/courtesypay.yaml",
		"description": "This service is used for courtesy pay",
		"parentcategory": "Transaction Services",
		"displayName": "Courtesy pay"
	},
	{
		"index": 15,
		"yaml": "OBRACC/obcdda-pp-chequebook-services/api/chequebookservicesServiceApiAggregate.yaml",
		"description": "This service is used for Cheque Book operations",
		"parentcategory": "ChequeBook Services",
		"displayName": "ChequeBook Services"
	},
    {
        "index": 16,
        "yaml": 'OBRACC/dda-config-maintenance-services/api/externalrelationshipcodemaintenanceServiceApi.yaml',
        "description": 'This service is used for External Relationship Code Maintenance',
        "parentcategory": 'Configurations',
        "displayName": 'External Relationship Code Maintenance'
    },
	{
		"index": 17,
		"yaml": "OBRACC/obracc-pp-transaction-batch-services/api/TransactionBatchServices.yaml",
		"description": "This service is used for NonFinancialActivity of account/customer",
		"parentcategory": "Transaction Services",
		"displayName": "Non Financial Activity"
	},
    {
        "index": 18,
        "yaml": 'OBRACC/obracc-ic-interest-input-services/api/ICProductCreate.yml',
        "description": 'This service is used for Interest and Charges Maintenance',
        "parentcategory": 'Configurations',
        "displayName": 'Interest and Charges Maintenance'
    }
	]
}
